Endpoints
Create Webhook
Create a webhook for post and auto-reply lifecycle events.
POST
/
api
/
v1
/
webhooks
Create webhook
curl --request POST \
--url https://mallary.ai/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [],
"secret": "<string>"
}
'import requests
url = "https://mallary.ai/api/v1/webhooks"
payload = {
"url": "<string>",
"events": [],
"secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], secret: '<string>'})
};
fetch('https://mallary.ai/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"url": "<string>",
"events": []
}Delivery body
Mallary sends a JSON body like this:{
"event": "post.published",
"event_id": "7dd724b3-e237-4b1f-9d3c-28f1932eb195",
"data": {
"batch_id": "batch_example",
"platform": "facebook",
"status": "completed"
},
"sent_at": "2026-08-08T12:00:00.000Z",
"signed_payload": "{\"event\":\"post.published\",\"event_id\":\"7dd724b3-e237-4b1f-9d3c-28f1932eb195\",\"data\":{\"batch_id\":\"batch_example\",\"platform\":\"facebook\",\"status\":\"completed\"},\"sent_at\":\"2026-08-08T12:00:00.000Z\"}"
}
X-Mallary-Payload-Signature as sha256=<hex digest>. It is the HMAC-SHA256 signature of the exact signed_payload string. Verify it before parsing or using the event.Authorizations
Use Authorization: Bearer {api_key}
Body
application/json
Last modified on August 9, 2026
Was this page helpful?
⌘I
Create webhook

